Bug 1344305 - Failed to read machine ID
Summary: Failed to read machine ID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 11:32 UTC by Vít Ondruch
Modified: 2016-06-28 03:19 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.18-1.fc23 mock-1.2.18-1.fc24 mock-1.2.18-1.el7 mock-1.2.18-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 04:55:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2016-06-09 11:32:43 UTC
Description of problem:
After latest upgrades of my Rawhide, I cannot use new chroot anymore. It fails all the time:


$ mock -r fedora-rawhide-x86_64 rubygem-rdoc-4.2.2-2.fc25.src.rpm --no-clean
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
INFO: Start(rubygem-rdoc-4.2.2-2.fc25.src.rpm)  Config(fedora-rawhide-x86_64)
Start: chroot init
INFO: LVM plugin enabled. Allocated pool data: 71.91%. Allocated metadata: 39.57%.
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
ERROR: Exception(rubygem-rdoc-4.2.2-2.fc25.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 0 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-x86_64/result
ERROR: Command failed. See logs for output.
 # /usr/bin/systemd-nspawn -q -M be4f3dae0ba044e090777f5ba290188a -D /var/lib/mock/fedora-rawhide-x86_64/root --setenv=HOME=/builddir --setenv=TERM=vt100 --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=SHELL=/bin/bash --setenv=HOSTNAME=mock --setenv=LD_PRELOAD=/tmp/tmp1m2qnr5m/$LIB/nosync.so --setenv=PROMPT_COMMAND=printf "<mock-chroot>" --setenv=LANG=cs_CZ.utf8 /usr/sbin/groupadd -g 135 mockbuild


Trying to repeat the last command from log:


# /usr/bin/systemd-nspawn -q -M be4f3dae0ba044e090777f5ba290188a -D /var/lib/mock/fedora-rawhide-x86_64/root --setenv=HOME=/builddir --setenv=TERM=vt100 --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=SHELL=/bin/bash --setenv=HOSTNAME=mock --setenv=LD_PRELOAD=/tmp/tmp1m2qnr5m/$LIB/nosync.so --setenv=PROMPT_COMMAND=printf "<mock-chroot>" --setenv=LANG=cs_CZ.utf8 /usr/sbin/groupadd -g 135 mockbuild
[sudo] heslo pro vondruch: 
Failed to read machine ID from /var/lib/mock/fedora-rawhide-x86_64/root/etc/machine-id: No such file or directory


So this is probably due to some latest changes in systemd? Actually the first search result leads me to this SystemD issue:

https://github.com/systemd/systemd/issues/700



Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.17-1.fc25.noarch

$ rpm -q systemd
systemd-230-2.fc25.x86_64



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Miroslav Suchý 2016-06-09 12:26:35 UTC
In past the machine-id was in /var/lib/dbus/machine-id and mock will create it there.

Comment 2 Vít Ondruch 2016-06-09 12:56:19 UTC
It probably used to be as you said, but not anymore:

$ mock -r fedora-rawhide-x86_64 --scrub all
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: scrub ['all']
INFO: removing +mock.fedora-rawhide-x86_64.head volume
INFO: removing mock.fedora-rawhide-x86_64.postinit volume
INFO: scrubbing everything for fedora-rawhide-x86_64
Finish: scrub ['all']
Finish: run


[vondruch@unused-4-232 rubygem-rdoc (master %)]$ mock -r fedora-rawhide-x86_64 --shell
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: LVM plugin enabled. Allocated pool data: 67.7%. Allocated metadata: 37.29%.
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Start: dnf install

... snip ...

Complete!
Finish: dnf install
ERROR: Command failed. See logs for output.
 # /usr/bin/systemd-nspawn -q -M 748063c4d866422ebab4bfb645b33879 -D /var/lib/mock/fedora-rawhide-x86_64/root --setenv=HOME=/builddir --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=SHELL=/bin/bash --setenv=LANG=cs_CZ.utf8 --setenv=PROMPT_COMMAND=printf "<mock-chroot>" --setenv=LD_PRELOAD=/tmp/tmpyjibcpe9/$LIB/nosync.so --setenv=TERM=vt100 --setenv=HOSTNAME=mock /usr/sbin/groupadd -g 135 mockbuild

Comment 3 Miroslav Suchý 2016-06-09 13:24:37 UTC
The documentation of this file is here:
  https://www.freedesktop.org/software/systemd/man/machine-id.html

Fixed in commit
* 786d891 (HEAD -> devel, origin/devel) keep machine-id in /etc/machine-id [RHBZ#1344305]

Comment 4 Fedora Update System 2016-06-10 13:13:17 UTC
mock-1.2.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89209fd48b

Comment 5 Fedora Update System 2016-06-10 13:13:40 UTC
mock-1.2.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-70cdc0c410

Comment 6 Fedora Update System 2016-06-10 13:14:00 UTC
mock-1.2.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d9f899f6a

Comment 7 Fedora Update System 2016-06-10 13:14:19 UTC
mock-1.2.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de15171a43

Comment 8 Fedora Update System 2016-06-10 13:14:39 UTC
mock-1.2.18-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e2f372208

Comment 9 Fedora Update System 2016-06-10 17:59:29 UTC
mock-1.2.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-70cdc0c410

Comment 10 Fedora Update System 2016-06-11 03:18:08 UTC
mock-1.2.18-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e2f372208

Comment 11 Fedora Update System 2016-06-11 03:18:52 UTC
mock-1.2.18-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d9f899f6a

Comment 12 Fedora Update System 2016-06-11 03:53:16 UTC
mock-1.2.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89209fd48b

Comment 13 Fedora Update System 2016-06-11 03:53:50 UTC
mock-1.2.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de15171a43

Comment 14 Fedora Update System 2016-06-13 04:55:36 UTC
mock-1.2.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-18 18:33:56 UTC
mock-1.2.18-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-06-27 19:48:18 UTC
mock-1.2.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-06-28 03:19:03 UTC
mock-1.2.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.